#!/bin/sh -l
export CERT_PATH="/home/dokku/.local/share/certs/cert.pem"
export PRIVKEY_PATH="/home/dokku/.local/share/certs/privkey.pem"

echo "⚙ Assigning certs at $CERT_PATH and $PRIVKEY_PATH to $APP_NAME ..."
ssh "$SSH_REMOTE" -- certs:add "$APP_NAME" "$CERT_PATH" "$PRIVKEY_PATH" || echo "Failed to assign certs"

echo "⚙ Mapping $APP_NAME container port 9966 to HTTPS ..."
ssh "$SSH_REMOTE" -- ports:add "$APP_NAME" https:443:9966 || echo "Failed to map container port to HTTPS"

echo "✅ Post-deploy configuration completed"
